Bug Hunting Session
Bug 63889 - FORMATTING: Decapitalize sentence works on all sentence not on selection
Summary: FORMATTING: Decapitalize sentence works on all sentence not on selection
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Character
  Show dependency treegraph
 
Reported: 2013-04-24 14:00 UTC by Paolo Benvenuto
Modified: 2019-02-24 23:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Benvenuto 2013-04-24 14:00:00 UTC
Reproduce it in writer/calc/sheet/etc.:

- open a document and write somewhere: ASDF ASDF ASDF ASDF ASDF ASDF ASDF
- select only one the words
- format -> Change case -> Sentence case => you should get only the selected word changed, but you get all the paragraph changed.
Comment 1 Paolo Benvenuto 2013-04-24 14:00:48 UTC
I think it's a regression in 4.0 or 4.0.1/2, it wasn't present in 3.x
Comment 2 Paolo Benvenuto 2013-04-24 14:03:09 UTC
actually the sentence is affected, not the paragraph
Comment 3 QA Administrators 2015-03-04 02:24:08 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-24 17:26:01 UTC
Reproduced, already in 3.3 so no regression.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 tommy27 2016-04-16 07:25:52 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-05-22 13:27:49 UTC Comment hidden (obsolete)
Comment 7 Paolo Benvenuto 2017-05-23 08:43:24 UTC
still present in LibreOffice 5.3.3.2 30m0(Build:2)
Comment 8 QA Administrators 2018-05-24 02:45:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug